# $Revision: 1.3 $, $Date: 2004/12/22 23:14:19 $
Summary:	A heavily improved version of the old GIMP Plasma plug-in
Summary(pl):	Znacznie usprawniona wersja wtyczki Plasma z GIMP-a
Name:		gimp-plugin-plasma2
Version:	2.10
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://trific.ath.cx/Ftp//gimp/plasma/plasma2-%{version}.tar.bz2
# Source0-md5:	54f20682ca333d91876b3599a61d18c2
URL:		http://trific.ath.cx/software/gimp-plugins/plasma2/
BuildRequires:	gimp-devel >= 1:2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%(gimptool --gimpplugindir)/plug-ins

%description
Plasma2 is a heavily improved version of an old GIMP plug-in Plasma by
Stephen Norris generating cloud-like images known as "the plasma
fractal".

Brief list of fixes and improvements against original Plasma:

- Several new generator options, including the possibility to generate
  original Fractint-like and Norris-like plasmas,
- Can generate tilable images (much better than Plasma +
  Make_seamless),
- Switching tilability on/off modifies the image only as little as is
  necessary to achieve desired effect,
- Can directly map to a gradient (better than Plasma +
  Map_to_gradient),
- Can do a gradient-remix map,
- Better handling of grayscale images (and is 3 faster on them),
- Buttons to revert/reset settings.

%description -l pl
Plasma2 to znacznie usprawniona wersja wtyczki Plasma z GIMP-a
napisanej przez Stephena Norrisa, ktra tworzy podobne do chmur obrazy
znane jako "fraktale plazmowe".

Krtka lista poprawek i usprawnie w porwnaniu z oryginaln wersj:

- Kilka nowych opcji generatora, wczajc moliwo tworzenia
  oryginalnych Fractintowych i Norrisowych plazm,
- Moliwo tworzenia kafelkowalnych obrazw (duo lepsza jako ni
  Plasma + Make_seamless),
- Wczanie/wyczanie kafelkowalnoci wprowadza do obrazu tylko
  zmiany potrzebne do osignicia efektu,
- Moliwo bezporedniego mapowania na gradient (duo lepsza ni
  Plasma + Map_to_gradient),
- Moliwo robienia map gradient-remix,
- Lepsza obsuga obrazw w skali szaroci (a take trzykrotne
  przyspieszenie operacji na nich),
- Przyciski powrotu/kasowania ustawie.

%prep
%setup -q -n plasma2-%{version}

%build
%{__make} \
	CC="%{__cc}" \
	EXTRA_CFLAGS="%{rpmcflags} -DLOCALEDIR=\\\"\`\$(GIMPTOOL) --prefix\`/share/locale\\\" -DVERSION=\\\"\$(VERSION)\\\" -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir}

install plasma2		$RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gimp-plugin-plasma2.spec,v $
Revision 1.3  2004/12/22 23:14:19  wolf
- rel 2

Revision 1.2  2004/12/22 21:15:58  qboosh
- killed invalid -march flag

Revision 1.1  2004/12/22 18:51:51  wolf
- new
